<?php 
session_start();
$db_host = "localhost";
$db_user = "honer736_dark";
$db_table = "honer736_dark";
$db_pass = "dadada";
$connect = @ mysql_pconnect($db_host, $db_user, $db_pass) or die('cannot connect to server');
@ mysql_select_db($db_table) or die('cannot connect to db');
@ mysql_query("SET NAMES 'utf8'", $connect);

if($GET[action]=GetAppOnline){
$online = mysql_num_rows(mysql_query("SELECT * FROM online WHERE laikas > '$timeout'"));
if($online==0){$online=1;}
$guest = mysql_num_rows(mysql_query("SELECT * FROM guest WHERE laikas > '$timeout'"));
$online=$online+$guest;
echo'
<?xml version="1.0" encoding="windows-1251"?>  
<response><online>'.$online.'</online></response> 
';}else{
define("PUMPIT_API_URL",     "http://pumpit.ru/riba_api?"); 
define("PUMPIT_KEY_BILLING", "r8gjhH4ZGUoIX8XB9"); 
define("PUMPIT_KEY_API",     "SmtwqqSB9eshsVq7o"); 
define("PUMPIT_APP_ID",      "31"); 

$query = array( 
     'app_id' => PUMPIT_APP_ID, 
     'p_sid'  => '1234567812345678', 
     'action' => "DoIncAppAccount", 
     'coin'   => '0.42', 
     'desc'   => "Exchange money #0.42", 
     'burl'   => "/profile/?ss=123123", 
     'sig'    => "12345" 
); 
GoToPumpit($query, true); 

// Функция формирования QUERY_STRING c подписью  
function GoToPumpit($query, $billing=false) { 
     // Формируем подпись запроса 
     $sig = getSig($quer , $billing); 
      echo "SIG: $sig"."\n"; 

     $url = PUMPIT_API_URL; 
     // Собираем URL с сортировкой по ключам 
     ksort($query); 
     foreach ($query as $key=>$value){ 
         // Исключаем параметр sig 
         if (strtolower($key)!='sig'){ 
             $url .= urlencode($key)."=".urlencode($value)."&"; 
         } 
     } 
     $url .= "sig=".$sig; 
      echo "URL: $url"."\n"; 
} 

// Функция формирования подписи 
function getSig($query, $billing=false) { 
     $str = ""; 
     // Собираем строку для подписи с сортировкой по ключам 
     //ksort($query); 
     //foreach ($query as $key=>$value){ 
         // Исключаем параметр sig 
         if (strtolower($key)!='sig'){ 
             $str .= $key."=".$value; 
         } 
      //}
      echo "String for sign: $str"."\n"; 
     $appkey = ($billing) ? PUMPIT_KEY_BILLING : PUMPIT_KEY_API; 
     return md5($str.$appke ); 
}
}
 
?> 